<?php
foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

$set['title'] = __('Создание');

require_once H . 'sys/inc/thead.php';

title();
aut();
only_reg();
only_level(4);

echo "<div class='ui segments'>";

if (isset($_GET['act']) && $_GET['act'] == 'dir') {
    #Добавляем категорию
    if (isset($_POST['name']) && isset($_POST['position']) && isset($_POST['level']) && isset($_POST['create'])) {
        $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
        $description = esc(stripcslashes(htmlspecialchars($_POST['description'])));
        $position = intval($_POST['position']);
        $level = intval($_POST['level']);

        if (utf8_strlen($name) > 32) {
            $err = __('Слишком длинное название');
        } elseif (utf8_strlen($name) < 3) {
            $err = __('Слишком короткое название');
        } elseif (utf8_strlen($description) > 100) {
            $err = __('Слишком длинное описание');
        } elseif ($position < 0) {
            $err = __('Неверный выбор положения директории');
        } else {

            dbquery("INSERT INTO `smiles_categories` (`name`, `position`, `description`, `level`) values('$name', '$position', '$description', '$level')");

            $_SESSION['message'] = __('Категория успешно добавлена');

            header("Location: index.php?");
            exit();
        }
    }

    err();

    $next_number = dbresult(dbquery("SELECT MAX(`position`) FROM `smiles_categories` WHERE `id`"), 0) + 1;
    ?>
    <div class='ui secondary segment'><?= __('Новая категория') ?></div>

    <form class='ui form segment' method='POST' action='add.php?act=dir'>
        <div class="required field">
            <label><?= __('Название категории') ?></label>
            <input type="text" name="name" required>
        </div>

        <div class="field">
            <label><?= __('Описание категории') ?></label>
            <textarea name="description" rows="3"></textarea>
        </div>

        <div class="required field">
            <label><?= __('Позиция') ?></label>
            <input type="number" name="position" required value="<?= $next_number ?>">
        </div>

        <div class="field">
            <label><?= __('Уровень') ?></label>
            <select name="level" class="ui compact dropdown">
                <option value="0"><?= __('Пользователь') ?></option>
                <option value="1"><?= __('Модератор') ?></option>
                <option value="2"><?= __('Супер Модератор') ?></option>
                <option value="3"><?= __('Администратор') ?></option>
                <option value="4"><?= __('Главный администратор') ?></option>
            </select>
        </div>

        <div class='ui field'>
            <button class='ui blue button' name="create"><i class='mdi mdi-check'></i> <?= __('Добавить') ?></button>
            <a href='/plugins/smiles/admin/' class='ui basic button'><?= __('Отменить') ?></a>
        </div>
    </form>

    <div class='ui segment'><a href='/plugins/smiles/admin/'><i class='mdi mdi-arrow-left'></i> <?= __('Управление смайлами') ?></a></div>
    <div class='ui segment'><a href='/panel/'><i class='mdi mdi-arrow-left'></i> <?= __('Панель управления') ?></a></div>
    <script>
        $('.ui .dropdown').dropdown();
    </script>
    <?php
} elseif (isset($_GET['act']) && $_GET['act'] == 'smile') {
#Добавляем смайл

    if (isset($_FILES['file']) && $_FILES['file'] != NULL && isset($_POST['name']) && isset($_POST['dir']) && isset($_POST['create'])) {
        $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
        $dir_s = intval($_POST['dir']);
        $desc = htmlspecialchars($_POST['desc']);

        if ($imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']))) {

            $name = retranslit($name);

            if (utf8_strlen($name) > 50) {
                $err = __('Название слишком длинное');
            } elseif (utf8_strlen($name) < 1) {
                $err = __('Название слишком короткое');
            } else {
                dbquery("INSERT INTO `smiles_list` (`name`, `id_dir`, `desc`) values('$name', '$dir_s', '$desc')");

                copy($_FILES['file']['tmp_name'], H . 'style/smiles/' . $name . '.png');
                chmod(H . 'style/smiles/' . $name . '.png', 0666);

                $_SESSION['message'] = __('Смайл успешно загружен');

                header("Location: dir.php?id=$dir_s");
                exit();
            }
        } else {
            $_SESSION['err'] = __('Это не смайл');

            header("Location: add.php?act=smile");
            exit();
        }
    }

    err();
    ?>
    <div class='ui secondary segment'><?= __('Новый смайл') ?></div>

    <form class='ui form segment' enctype='multipart/form-data' method='POST' action='add.php?act=smile'>
        <div class="required field">
            <label><?= __('Выберите смайл') ?></label>
            <input type="file" name="file" accept="image/*,image/gif" required>
        </div>

        <div class="required field">
            <label><?= __('Название') ?></label>
            <input type="text" name="name" required>
        </div>
        <div class="required field">
            <label><?= __('Вариант вызова') ?></label>
            <input type="text" name="desc" required>
        </div>

        <div class="field">
            <label><?= __('Директория') ?></label>
            <select name="dir" class="ui compact dropdown">
                <?php
                $q = dbquery("SELECT * FROM `smiles_categories`");
                while ($dir = dbarray($q)) {
                    echo "<option value='$dir[id]'>" . esc(stripcslashes(htmlspecialchars($dir['name']))) . "</option>";
                }
                ?>
            </select>
        </div>

        <div class='ui field'>
            <button type='submit' class='ui compact blue labeled icon button' name='create'><i class='mdi mdi-check icon'></i> <?= __('Добавить') ?></button>
            <a href='/plugins/smiles/admin/' class='ui compact basic button'><?= __('Отменить') ?></a>
        </div>
    </form>

    <div class='ui segment'><a href='/modules/smiles/admin/'><i class='mdi mdi-arrow-left'></i> <?= __('Управление смайлами') ?></a></div>
    <div class='ui segment'><a href='/panel/'><i class='mdi mdi-arrow-left'></i> <?= __('Панель управления') ?></a></div>
    <script>
        $('.ui .dropdown').dropdown();
    </script>
    <?php
} else {
    echo '<div class="ui negative message">' . __('Запрос не найден') . '</div>';
}
echo "</div>";

require_once '../../../sys/inc/tfoot.php';
