<?php
foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = __('Редактирование');

require_once H . 'sys/inc/thead.php';

aut();
only_reg();
only_level(4);

$smile = dbassoc(dbquery("SELECT * FROM `smiles_list` WHERE `id` = '$id'"));
$dir = dbassoc(dbquery("SELECT * FROM `smiles_categories` WHERE `id` = '$id'"));
$cat = dbassoc(dbquery("SELECT * FROM `smiles_categories` WHERE `id` = '" . $smile['id_dir'] . "'"));

if ($id == 0 || $id < 0) {
    echo '<div class="ui negative message">' . __('Категория не найдена') . '</div>';
} else {
    echo "<div class='ui segments'>";

    if (isset($_GET['act']) && $_GET['act'] == 'dir') {
        echo "<div class='ui secondary segment'>" . __('Редактирование') . "</div>";

        if (isset($_POST['name']) && isset($_POST['position']) && isset($_POST['save'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            $description = esc(stripcslashes(htmlspecialchars($_POST['description'])));
            $position = intval($_POST['position']);
            $level = intval($_POST['level']);

            if (utf8_strlen($name) > 32) {
                $err = __('Слишком длинное название');
            } elseif (utf8_strlen($name) < 3) {
                $err = __('Слишком короткое название');
            } elseif (utf8_strlen($description) > 100) {
                $err = __('Слишком длинное описание');
            } elseif ($position < 0) {
                $err = __('Неверный выбор положения директории');
            } else {

                dbquery("UPDATE `smiles_categories` SET `name` = $name, `position` = $position, `description` = $description, `level` = $level WHERE `id` = $id LIMIT 1");

                $_SESSION['message'] = __('Изменения сохранены');

                header("Location: /plugins/smiles/admin/");
                exit();
            }
        }

        err();
        ?>

        <form class='ui form segment' method='POST' action='edit.php?id=<?= $id ?>&amp;act=dir'>
            <div class="required field">
                <label><?= __('Название категории') ?></label>
                <input type="text" name="name" required value="<?= $dir['name'] ?>">
            </div>

            <div class="field">
                <label><?= __('Описание категории') ?></label>
                <textarea name="description" rows="3"><?= $dir['description'] ?></textarea>
            </div>

            <div class="required field">
                <label><?= __('Позиция') ?></label>
                <input type="number" name="position" required value="<?= $dir['position'] ?>">
            </div>

            <div class="field">
                <label><?= __('Уровень') ?></label>
                <select name="level" class="ui compact dropdown">
                    <option value="0" <?= ($dir['level'] == 0 ? ' selected="selected"' : null) ?>><?= __('Пользователь') ?></option>
                    <option value="1" <?= ($dir['level'] == 1 ? ' selected="selected"' : null) ?>><?= __('Модератор') ?></option>
                    <option value="2" <?= ($dir['level'] == 2 ? ' selected="selected"' : null) ?>><?= __('Супер Модератор') ?></option>
                    <option value="3" <?= ($dir['level'] == 3 ? ' selected="selected"' : null) ?>><?= __('Администратор') ?></option>
                    <option value="4" <?= ($dir['level'] == 4 ? ' selected="selected"' : null) ?>><?= __('Главный администратор') ?></option>
                </select>
            </div>


            <div class='ui field'>
                <button class='ui blue button' name="save"><i class='mdi mdi-content-save'></i> <?= __('Сохранить') ?></button>
                <a href='/plugins/smiles/admin/' class='ui basic button'><?= __('Отменить') ?></a>
            </div>
        </form>

        <div class='ui segment'><a href='/plugins/smiles/admin/'><i class='mdi mdi-arrow-left'></i> <?= __('Управление смайлами') ?></a></div>
        <div class='ui segment'><a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> <?= __('Панель управления') ?></a></div>

        <?php
    } elseif (isset($_GET['act']) && $_GET['act'] == 'smile') {

        echo "<div class='ui secondary segment'>" . __('Редактирование') . "</div>";
        if (isset($_POST['desc']) && isset($_POST['save'])) {
            $desc = $_POST['desc'];

            dbquery("UPDATE `smiles_list` SET `desc` = $desc WHERE `id` = $id LIMIT 1");

            $_SESSION['message'] = __('Изменения сохранены');

            header("Location: dir.php?id=$cat[id]");
            exit();
        }
        ?>

        <div class='ui segment center'>
            <img src='/style/smiles/<?= $smile['name'] ?>.png' alt='<?= $smile['name'] ?>'>
        </div>
        <form class='ui form segment' method='POST' action='edit.php?id=<?= $id ?>&amp;act=smile'>
            <div class="required field">
                <label><?= __('Вариант вызова') ?></label>
                <input type="text" name="desc" required value="<?= $smile['desc'] ?>">
            </div>

            <div class='ui field'>
                <button class='tiny positive ui labeled mdi button' name="save"><i class='mdi mdi-content-save'></i> <?= __('Сохранить') ?></button>
                <a href='dir.php?id=<?= $cat['id'] ?>' class='tiny ui basic button'><?= __('Отменить') ?></a>
            </div>
        </form>

        <div class='ui segment'><a href='dir.php?id=<?= $cat['id'] ?>'><i class='mdi mdi-arrow-left'></i> <?= __('В категорию') ?></a></div>
        <div class='ui segment'><a href='/plugins/smiles/admin/'><i class='mdi mdi-arrow-left'></i> <?= __('Управление смайлами') ?></a></div>
        <div class='ui segment'><a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> <?= __('Панель управления') ?></a></div>

        <?php
    } elseif (isset($_GET['act']) && $_GET['act'] == 'img_cat') {

        echo "<div class='ui secondary segment'>" . __('Изображение категории') . "</div>";
        if (isset($_FILES['file']) && $_FILES['file'] != NULL && isset($_POST['create'])) {
            if ($imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']))) {
                copy($_FILES['file']['tmp_name'], H . 'style/smiles/' . $dir['id'] . '.png');
                chmod(H . 'style/smiles/' . $dir['id'] . '.png', 0666);

                $_SESSION['message'] = __('Изображение успешно загружено');

                header("Location: dir.php?id=$dir[id]");
                exit();
            }
        }

        echo "<div class='ui segment center'>\n";
        if (is_file(H . 'style/smiles/' . $dir['id'] . '.png')) {
            echo "<img src='/style/smiles/$dir[id].png' alt='$dir[name]'>";
        } else {
            echo __('Нет изображения в категории');
        }
        echo "</div>";
        ?>

        <form class='ui form segment' method='POST' enctype='multipart/form-data' action='edit.php?id=<?= $id ?>&amp;act=img_cat'>
            <div class="required field">
                <label><?= __('Выберите изображение') ?></label>
                <input type="file" name="file" accept="image/*,image/gif" required>
            </div>

            <div class='ui field'>
                <button class='tiny positive ui labeled mdi button' name="create"><i class='mdi mdi-check'></i> <?= __('Загрузить') ?></button>
                <a href='dir.php?id=<?= $dir->id ?>' class='tiny ui basic button'><?= __('Отменить') ?></a>
            </div>
        </form>

        <div class='ui segment'><a href='dir.php?id=<?= $dir['id'] ?>'><i class='mdi mdi-arrow-left'></i> <?= __('В категорию') ?></a></div>
        <div class='ui segment'><a href='/plugins/smiles/admin/'><i class='mdi mdi-arrow-left'></i> <?= __('Управление смайлами') ?></a></div>
        <div class='ui segment'><a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> <?= __('Панель управления') ?></a></div>

        <?php
    } else {
        echo '<div class="ui negative message">' . __('Запрос не найден') . '</div>';
    }

    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
